package com.dgtly.companyext.mapper;

import com.dgtly.companyext.domain.CompanyHonour;
import java.util.List;

/**
 * 企业荣誉Mapper接口
 * 
 * @author qxp
 * @date 2020-03-02
 */
public interface CompanyHonourMapper 
{
    /**
     * 查询企业荣誉
     * 
     * @param honourId 企业荣誉ID
     * @return 企业荣誉
     */
    public CompanyHonour selectCompanyHonourById(Long honourId);

    /**
     * 查询企业荣誉列表
     * 
     * @param companyHonour 企业荣誉
     * @return 企业荣誉集合
     */
    public List<CompanyHonour> selectCompanyHonourList(CompanyHonour companyHonour);

    /**
     * 新增企业荣誉
     * 
     * @param companyHonour 企业荣誉
     * @return 结果
     */
    public int insertCompanyHonour(CompanyHonour companyHonour);

    /**
     * 修改企业荣誉
     * 
     * @param companyHonour 企业荣誉
     * @return 结果
     */
    public int updateCompanyHonour(CompanyHonour companyHonour);

    /**
     * 删除企业荣誉
     * 
     * @param honourId 企业荣誉ID
     * @return 结果
     */
    public int deleteCompanyHonourById(Long honourId);

    /**
     * 批量删除企业荣誉
     * 
     * @param honourIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyHonourByIds(String[] honourIds);
}
